import unittest
import numpy as np
from numpy import sin, cos, array, r_, vstack, abs, tile
from numpy.linalg import norm
import thLib
from time import sleep

class TestSequenceFunctions(unittest.TestCase):

    def test_fit_sin(self):
        np.random.seed(1234)
        t = np.arange(0,10,0.1)
        x = 3 + 4*sin(2*np.pi*1*t + 5*np.pi/180) + np.random.randn(len(t))
        result = array(thLib.fits.fit_sin(t, x, 1))
        correct = array([ 4.70902766,  3.86327971,  3.03511228])
        self.assertAlmostEqual(0, norm(result-correct))
 
if __name__ == '__main__':
    unittest.main()
    print('Thanks for using programs from Thomas!')
    sleep(2)
